from sqlalchemy import *
from dictionaries.versions import views_helper

catalog_table = 'catalog'
tmccatalog_table = 'tmccatalog'
image_column = 'image'
type_column = 'type'

def upgrade(migrate_engine):
    views_helper.create_column(migrate_engine, catalog_table, image_column, Text)
    views_helper.create_column(migrate_engine, catalog_table, type_column, Integer)
    views_helper.create_column(migrate_engine, tmccatalog_table, image_column, Text)

def downgrade(migrate_engine):
    views_helper.drop_column(migrate_engine, catalog_table, image_column, Text)
    views_helper.drop_column(migrate_engine, catalog_table, type_column, Integer)
    views_helper.drop_column(migrate_engine, tmccatalog_table, image_column, Text)
