# -*- coding: utf-8 -*-

from migrate import *


def upgrade(migrate_engine):
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    conn = migrate_engine.connect()
    conn.execute("""CREATE FUNCTION opsign (opcode int) RETURNS int(11) DETERMINISTIC
BEGIN
    CASE OPCODE
    WHEN 44 THEN RETURN 1;
    WHEN 70  THEN RETURN 1;
    WHEN 73  THEN RETURN 1;
    WHEN 75  THEN RETURN 1;
    WHEN 76  THEN RETURN 1;
    WHEN 80  THEN RETURN 1;
    WHEN 83  THEN RETURN 1;
    WHEN 71  THEN RETURN -1;
    WHEN 72  THEN RETURN -1;
    WHEN 74  THEN RETURN -1;
    WHEN 77  THEN RETURN -1;
    WHEN 81  THEN RETURN -1;
    WHEN 82  THEN RETURN -1;
    END CASE;
    return 0;
    END""")


def downgrade(migrate_engine):
    conn = migrate_engine.connect()
    conn.execute('drop function opsign')
