from sqlalchemy import *
from migrate import *
import migrate.changeset

def getCarditemTable(meta):
    return Table('carditem', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    col = Column('bonusbalance', Numeric(precision=20, scale=2), nullable=True)
    col.create(getCarditemTable(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    getCarditemTable(meta).c.bonusbalance.drop()
