from sqlalchemy import *
from migrate import *

def getTable(meta):
    return Table('bonusitem', meta, autoload=True)

def upgrade(migrate_engine):
    # Upgrade operations go here. Don't create your own engine; bind
    # migrate_engine to your metadata
    meta = MetaData(bind = migrate_engine)

    ispositionbonus=Column('ispositionbonus', Integer, nullable=True)
    if 'ispositionbonus' not in getTable(meta).columns:
    	ispositionbonus.create(getTable(meta))

    bonusnumber=Column('bonusnumber', Integer, nullable=True)
    if 'bonusnumber' not in getTable(meta).columns:
        bonusnumber.create(getTable(meta))


def downgrade(migrate_engine):
    # Operations to reverse the above upgrade go here.
    meta = MetaData(bind = migrate_engine)

    if 'ispositionbonus' in getTable(meta).columns:
    	getTable(meta).c.ispositionbonus.drop()

    if 'bonusnumber' in getTable(meta).columns:
        getTable(meta).c.bonusnumber.drop()
