# -*- coding: UTF-8 -*-

import os
import configparser

def getBool(section, option, default):
    try:
        return config.getboolean(section, option)
    except:
        return default

def getInt(section, option, default):
    try:
        return config.getint(section, option)
    except:
        return default

# Считывание настроек
pathIniFile = u'/linuxcash/cash/data/db/artixbackup.ini'

config = configparser.RawConfigParser()
config.read(pathIniFile, encoding='utf-8')

enable = getBool('main', 'enable', False)
shiftCount = getInt('store', 'shiftCount', 20)
goodsItemCount = getInt('store', 'goodsItemCount', 35000)
restoreInterval = getInt('restore', 'restoreInterval', 60)
