# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *

def upgrade(migrate_engine):
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    conn = migrate_engine.connect()
    conn.execute("""CREATE VIEW text_const AS (
                    select 1 AS code,'ПРОДАЖА' AS text1,'В ОТДЕЛ ' AS text2) 
                    union (select 2 AS code,'ВОЗВРАТ' AS text1,'В ОТДЕЛ ' AS text2)""")

def downgrade(migrate_engine):
    # Operations to reverse the above upgrade go here.
    conn = migrate_engine.connect()
    conn.execute('drop view text_const')
