from sqlalchemy import *
from migrate import *

columnName = 'identifier'

def getTables(meta):
    return Table('crights', meta, autoload = True)

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getTables(meta)
    if not columnName in table.columns:
        Column(columnName, String(255), nullable=True).create(table)

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getTables(meta)
    if columnName in table.columns:
        Column(columnName, String(255), nullable=True).drop(table)
